%define pkg_name        XML-DOM-XPath
%define pkg_version     0.13
%define rpm_pkg_version 0.13
%define rpm_pkg_release 1.n0i.1

Summary:       Perl extension to add XPath support to XML::DOM
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MI/MIROD/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(XML::DOM)
BuildRequires: perl(XML::XPathEngine) >= 0.04

%description
XML::DOM::XPath allows you to use XML::XPath methods to query a DOM.
This is often much easier than relying only on getElementsByTagName.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Fri Jun 15 2007 Marius Feraru <altblue@n0i.net> - 0.13-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.13
